/*
 * zio.h	Provide an streamable interface to gziped/bzip2ed/LZW/LZMA/zst files
 *
 * Copyright 2004 Werner Fink, 2004 SuSE LINUX AG, Germany.
 * Copyright 2013 Werner Fink, 2013 SuSE LINUX AG, Germany.
 * Copyright 2021 Werner Fink, 2021 SUSE Software Solutions Germany GmbH, Germany.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Author:	Werner Fink <werner@suse.de>
 */

#ifndef _ZIO_H
#define _ZIO_H

#include <stdio.h>
#define ZIO_VERSION 1.08
#ifdef __cplusplus
extern "C" {
#endif
/*
 * This function can open a gziped file for reading OR writing, but
 * NOT both (not `+' possible) NOR can it open for appending (no `a').
 */
extern FILE *fzopen __P((__const char *__restrict, __const char *__restrict));
extern FILE *fdzopen __P((int, __const char *__restrict mode, __const char *__restrict));

#ifdef __cplusplus
}
#endif

#endif /* _ZIO_H */
